package pruefungpfingsten03;

/**
 * <p>Title: Verteilte Systeme I</p>
 * <p>Description: Prfung RMI </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: HSR</p>
 * @author J.M.Joller
 * @version 1.0
 */

import java.rmi.*;
import java.rmi.registry.LocateRegistry;
import java.rmi.registry.*;

public class DieRegistry {
  private static int reg_port;

  public DieRegistry() {
    reg_port=1099;
    go(reg_port);
  }
  public DieRegistry(int port) {
    reg_port=port;
    go(reg_port);
  }

  private static void go(int port) {
    try {
      reg_port = port;
      Registry reg=LocateRegistry.getRegistry(reg_port);
      // prfe ob eine Registry gestartet wurde
      System.out.println("[DieRegistry]Abfragen, ob eine Registry gestartet wurde");
      try {
        String[] strReggieObjekte=reg.list();
        System.out.println("[DieRegistry]Es wurde eine Registry gefunden:");
        System.out.println("             "+reg);
      } catch (Exception e) {
        System.out.println("[DieRegistry]Es wird versucht die Registry zu starten");
        LocateRegistry.createRegistry(reg_port);
        reg=LocateRegistry.getRegistry();
        try {
          Thread.sleep(1000);
        } catch (InterruptedException ie) {ie.printStackTrace(System.err);}
        System.out.println("[DieRegistry]Es wurde eine Registry gestartet:");
        System.out.println("             "+reg);
      }
    } catch(RemoteException re) {re.printStackTrace();}
  }
}