package pruefungpfingsten03;

/**
 * <p>Title: Verteilte Systeme I</p>
 * <p>Description: Prfung RMI </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: HSR</p>
 * @author J.M.Joller
 * @version 1.0
 */
import java.math.*;
import java.util.*;

public class PrimZahl {
    public int getPrime(int i) {
        // solange i keine Primzahl ist, addiere 1
        while (!BigInteger.valueOf(i).isProbablePrime(20)) {
          System.out.println("Primzahlsuche : "+BigInteger.valueOf(i));
          i++;
        }
        // wahrscheinlich ist i jetzt Primzahl
        // (mit Wahrscheinlichkeit 1- 1/(2^20) ~= 1 zu einer Million)
        return i;
    }

    public static void main(String[] args) {
      System.out.println("[PrimZahl]main()");
      PrimZahl prime = new PrimZahl();
      int iTest = 2134;
      System.out.println("Primzahl zu "+iTest+" : "+prime.getPrime(iTest));
    }
}