package pruefungpfingsten03;

/**
 * <p>Title: Verteilte Systeme I</p>
 * <p>Description: Prfung RMI </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: HSR</p>
 * @author J.M.Joller
 * @version 1.0
 */

import java.rmi.*;

public class DynamicClient {

  // wie RMI Client
  // OHNE IRGEND EINE nderung


  public static void main(String[] args) {

    System.setSecurityManager(new RMISecurityManager() );

    // Objekt in der Registry suchen (Eintrag in der Registry als String)
    try {
      int iPrimeKandidat=2048;
      System.out.println("[RMIClient]Start");
      String url = new String("rmi://localhost/RMIPrimzahl");

      // zum Testen : Abfrage der Registry
      System.out.println("[RMIClient]registrierte Objekte in der Registry");
      for (int i=0; i< Naming.list("rmi://localhost/").length; i++)
              System.out.println(" "+Naming.list("rmi://localhost/")[i]);

      System.out.println("[RMIClient]Objektcasting");

      // hier muss das Interface stehen, das Objekt ist nicht bekannt!
      PrimZahlInterface meinRemoteObjekt = (PrimZahlInterface)Naming.lookup(url);
      System.out.println("[RMIClient]Aufruf der remote Methode getPrime() : ");
      System.out.println("Die naechstgelegene Primzahl zu "+iPrimeKandidat+" ist "+meinRemoteObjekt.getPrime(iPrimeKandidat));
    } catch (Exception e) {
      System.err.println("[RMIClient]eine Ausnahme wurde geworfen; "+e.getMessage());
      e.printStackTrace();
    }
  }

}