package pruefungpfingsten03;

import java.rmi.server.UnicastRemoteObject;
import java.rmi.RemoteException;
import java.math.*;
import java.util.*;

/**
 * <p>Title: Verteilte Systeme I</p>
 * <p>Description: Prfung RMI </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: HSR</p>
 * @author J.M.Joller
 * @version 1.0
 */

public class RMIPrimZahl extends UnicastRemoteObject implements PrimZahlInterface {

  public RMIPrimZahl() throws RemoteException {
  }
  public int getPrime(int i) throws RemoteException {
    // solange i keine Primzahl ist, addiere 1
    while (!BigInteger.valueOf(i).isProbablePrime(20)) {
      System.out.println("Primzahlsuche : "+BigInteger.valueOf(i));
        i++;
    }
    // wahrscheinlich ist i jetzt Primzahl
    // (mit Wahrscheinlichkeit 1- 1/(2^20) ~= 1 zu einer Million)
    return i;
  }
}